{% extends "application/__base.html" %}

{% load markdown_filter clean_url %}

{% block title %}{{ current_product }} – {{ block.super }}{% endblock %}

{% block content %}
    <section class="content product" id="product">
        {% if current_product.image %}
            <div class="photos-slideshow" style="background-image: url({{ current_product.image.url }});">
                <div class="container">
                    {% for image in current_product.all_images %}
                        <img alt="" src="{{ image.url }}" />
                    {% endfor %}
                </div>
            </div>
        {% endif %}

        <div class="container">
            <h1>{{ current_product }}</h1>

            <div class="row">
                <div class="block product-info">
                    <div class="text">
                        {{ current_product.description|markdownify|safe }}

                        {% if current_product.ingredient_set.all|length > 0 %}
                            <h2>Ingrédients</h2>
                            <ul>
                                {% for ingredient in current_product.ingredient_set.all %}
                                    {% if ingredient.origin and ingredient.url %}
                                        <li>{{ ingredient }} (<a href="{{ ingredient.url|clean_url }}" target="_blank">{{ ingredient.origin }}</a>)</li>
                                    {% elif ingredient.origin %}
                                        <li>{{ ingredient }} ({{ ingredient.origin }})</li>
                                    {% else %}
                                        <li>{{ ingredient }}</li>
                                    {% endif %}
                                {% endfor %}
                            </ul>
                        {% endif %}
                    </div>
                </div>
            </div>
        </div>

        <div class="container">
            {% include "application/_products_category.html" with category=current_product.category %}
        </div>
    </section>
{% endblock %}
